> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate a workflow

> Disables all future invocations and runs for a given workflow.

By deactivating a workflow, this endpoint will turn off any events or webhooks a workflow is subscribed to. May be reactivated by the Reactivate workflow endpoint.



## OpenAPI

````yaml put /workflows/deactivate
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /workflows/deactivate:
    put:
      summary: Deactivate a workflow
      description: >-
        Disables all future invocations and runs for a given workflow.


        By deactivating a workflow, this endpoint will turn off any events or
        webhooks a workflow is subscribed to. May be reactivated by the
        Reactivate workflow endpoint.
      operationId: deactivate-a-workflow
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - userId
              properties:
                userId:
                  type: string
                  description: >-
                    The Id of the user you want to lookup. Returned from the
                    Create User endpoint. Note: you can also use the Embedded
                    user's `username` in this field.
                workflowId:
                  type: string
                  description: >-
                    The Id of the workflow to activate. If you pass this
                    parameter, then `workflowName` is not required.
                workflowName:
                  type: string
                  description: >-
                    The name of the workflow to activate.  If you pass this
                    parameter, then `workflowId` is not required.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    activated: false
              schema:
                type: object
                properties:
                  activated:
                    type: boolean
                    example: false
                    default: true
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````